## infinipath-psm 3.3%2B20.604758e7

=== debian/changelog ===
infinipath-psm (3.3+20.604758e7-6.4build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 23:26:30 +0100

infinipath-psm (3.3+20.604758e7-6.4) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/fix-ftbfs-strlcat.patch: Don't implement strlcat as it's now
    available on glibc. Thanks to Jakub Wilk who arrived independently at
    the same solution. (Closes: #1071316)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 05 Apr 2025 17:16:55 -0400

infinipath-psm (3.3+20.604758e7-6.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Use the build date from SOURCE_DATE_EPOCH if set, falling back to
    current time. (Closes: #990862)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Wed, 06 Dec 2023 14:25:32 -0800

infinipath-psm (3.3+20.604758e7-6.2) unstable; urgency=medium

  * Non-maintainer upload
  * Work around FTBFS with gcc-12. Closes: #984057

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 16 Oct 2022 13:18:17 +0200

infinipath-psm (3.3+20.604758e7-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Work around FTBFS with gcc-10 (Closes: #957359)

 -- Paul Gevers <elbrus@debian.org>  Sun, 03 Jan 2021 08:42:58 +0100

infinipath-psm (3.3+20.604758e7-6) unstable; urgency=medium

  * Fix ftbfs with GCC-8 (Closes: #897774). Thanks to Reiner Herrmann
    for the patch.
    - add patch 0003-gcc8.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 29 Nov 2018 23:53:33 +0100

infinipath-psm (3.3+20.604758e7-5) unstable; urgency=medium

  * Fix postrm maintainer script to avoid leaving an unowned file
    (Closes: #886925) and add a postrm script to handle other cases.
    Thanks to Andreas Beckmann for filing the bugreport and putting
    relevant references in the bugreport.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 14 Jan 2018 11:29:47 +0100

infinipath-psm (3.3+20.604758e7-4) unstable; urgency=medium

  * Add myself to Uploaders
  * Run wrap-and-sort
  * Mark symbol ipath_dwordcpy_safe@Base as amd64 specific (Closes: #886359)
  * Provide libpsm_infinipath.so.1 as an alternative

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 04 Jan 2018 22:43:15 +0100

infinipath-psm (3.3+20.604758e7-3) unstable; urgency=medium

  * Make 'Debian HPC Team' new maintainer
  * Fix lintian warnings (copyright + Priority)
  * Add i386 specific symbols file

 -- Roland Fehrenbacher <rf@debian.org>  Thu, 04 Jan 2018 13:12:09 +0100

infinipath-psm (3.3+20.604758e7-1) unstable; urgency=medium

  * New upstream release (Add upstream fixes up to git commit 604758e).
  * Add patch for gcc 7 compilation (Closes: #853451).
  * Remove patches applied upstream.
  * Update Vcs-Git/Browser to point to new salsa.debian.org repo.
  * Update Standards-Version to 4.1.3, no changes required.
  * Update copyright file.

 -- Roland Fehrenbacher <rfehren@debian.org>  Fri, 29 Dec 2017 11:47:37 +0100

infinipath-psm (3.3+19.g67c0807.open-2) UNRELEASED; urgency=medium

  * Improve architecture detection. (Closes: #807149)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 04 Apr 2016 10:18:09 +0200

infinipath-psm (3.3+19.g67c0807.open-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add 0001-Initialize-variables.patch to fix -Werror=maybe-uninitialized
    errors.
  * Update symbols file.
  * Update Standards-Version to 3.9.7, no changes required.
  * Update Vcs-Browser to use HTTPS.
  * Add 0002-Fix-a-few-typos.patch fixing a few typo reported by lintian.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 01 Apr 2016 00:54:00 +0200

infinipath-psm (3.3+7.gec1d6d2-3) unstable; urgency=low

  * d/control: Make libpsm-infinipath1-dev conflict with libion-dev
  
  * Bug fix: "libpsm-infinipath1-dev and libion-dev: error when trying to
    install together", thanks to Ralf Treinen (Closes: #807300).

 -- Roland Fehrenbacher <rf@q-leap.de>  Tue, 08 Dec 2015 15:36:24 +0100

infinipath-psm (3.3+7.gec1d6d2-2) unstable; urgency=medium

  * Add symbols file d/libpsm-infinipath1.symbols 

 -- Roland Fehrenbacher <rf@q-leap.de>  Tue, 08 Dec 2015 13:20:59 +0000

infinipath-psm (3.3+7.gec1d6d2-1) unstable; urgency=low

  * Upstream integrated previous Debian patches

 -- Roland Fehrenbacher <rf@q-leap.de>  Mon, 07 Dec 2015 19:29:57 +0100

infinipath-psm (3.3+7.g05f6f14.open-2) unstable; urgency=low

  * Revert to xz compression

 -- Roland Fehrenbacher <rf@q-leap.de>  Tue, 01 Dec 2015 12:38:18 +0100

infinipath-psm (3.3+7.g05f6f14.open-1) unstable; urgency=medium

  * Initial release. (Closes: #806524)

 -- Roland Fehrenbacher <rf@q-leap.de>  Sat, 28 Nov 2015 13:49:53 +0100

## infinipath-psm 3.3+7.gec1d6d2

=== Makefile ===
# Copyright (c) 2012. Intel Corporation. All rights reserved.
# Copyright (c) 2006-2010. QLogic Corporation. All rights reserved.
# Copyright (c) 2003-2006, PathScale, Inc. All rights reserved.
#
# This software is available to you under a choice of one of two
# licenses.  You may choose to be licensed under the terms of the GNU
# General Public License (GPL) Version 2, available from the file
# COPYING in the main directory of this source tree, or the
# OpenIB.org BSD license below:
#
#     Redistribution and use in source and binary forms, with or
#     without modification, are permitted provided that the following
#     conditions are met:
#
#      - Redistributions of source code must retain the above
#        copyright notice, this list of conditions and the following
#        disclaimer.
#
#      - Redistributions in binary form must reproduce the above
#        copyright notice, this list of conditions and the following
#        disclaimer in the documentation and/or other materials
#        provided with the distribution.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
# BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
# ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
# CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#

TARGLIB := libinfinipath
MAJOR := $(IPATH_LIB_MAJOR)
MINOR := $(IPATH_LIB_MINOR)

include $(top_srcdir)/buildflags.mak
BASECFLAGS += -D_GNU_SOURCE
INCLUDES += -I$(top_srcdir)/ptl_ips

ifeq (${arch},x86_64)
	PLATFORM_OBJ=ipath_dwordcpy-x86_64-fast.o
else
	PLATFORM_OBJ=
endif

${TARGLIB}-objs := ipath_debug.o ipath_time.o ipath_proto.o \
	ipath_utils.o ipath_service.o ipath_protomic.o \
	ipath_dwordcpy-$(arch).o ipath_i2cflash.o ipath_sysfs.o ipath_syslog.o \
	ipath_write_pio-$(arch).o $(PLATFORM_OBJ)

all .DEFAULT: ${TARGLIB}.so

install: all
	install -D ${TARGLIB}.so.${MAJOR}.${MINOR} \
		${DESTDIR}${INSTALL_LIB_TARG}/${TARGLIB}.so.${MAJOR}.${MINOR}
	(cd ${DESTDIR}${INSTALL_LIB_TARG} ; \
		ln -sf ${TARGLIB}.so.${MAJOR}.${MINOR} ${TARGLIB}.so.${MAJOR} ; \
		ln -sf ${TARGLIB}.so.${MAJOR} ${TARGLIB}.so)

${TARGLIB}.so: ${TARGLIB}.so.${MAJOR}
	ln -fs ${TARGLIB}.so.${MAJOR}.${MINOR} $@

${TARGLIB}.so.${MAJOR}: ${TARGLIB}.so.${MAJOR}.${MINOR}
	ln -fs ${TARGLIB}.so.${MAJOR}.${MINOR} $@

# when we build the shared library, generate a revision and date
# string in it, for easier id'ing when people may have copied the
# file around.  Generate it such that the ident command can find it
# and strings -a | grep InfiniPath does a reasonable job as well.
${TARGLIB}.so.${MAJOR}.${MINOR}: ${${TARGLIB}-objs}
	date +'static __attribute__ ((unused)) char __psc_infinipath_revision[] ="$$""Date: %F %R ${rpm_extra_description}InfiniPath $$";' > _revision.c
	$(CC) -c $(BASECFLAGS) $(INCLUDES) _revision.c -o _revision.o
	$(CC) -o $@ -Wl,-soname=${TARGLIB}.so.${MAJOR} -shared \
		-Wl,--unique='*fastpath*' \
		${${TARGLIB}-objs} _revision.o $(LDFLAGS) $(if $(MIC:0=),$(SCIF_LINK_FLAGS))

%.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES) $(if $(MIC:0=),$(SCIF_INCLUDE_FLAGS)) -c $< -o $@

%.o: %.S
	$(CC) $(ASFLAGS) -c $< -o $@

ipath_debug.o: WERROR :=
# This is temporarily necessary in order to get backtrace to work. Bug 3536
ipath_debug.o: ipath_debug.c
	$(CC) $(BASECFLAGS) $(INCLUDES) -c $< -o $@

ipath_write_pio-ppc.o: ipath_write_pio-ppc.c
	$(CC) $(CFLAGS) -maltivec $(INCLUDES) -c $< -o $@

ipath_write_pio-ppc64.o: ipath_write_pio-ppc64.c
	$(CC) $(CFLAGS) -maltivec $(INCLUDES) -c $< -o $@

clean:
	rm -f _revision.c
	rm -f *.o ${TARGLIB}.*

=== debian/control ===
Source: infinipath-psm
Section: libs
Priority: optional
Maintainer: Debian OFED Infiniband packaging team <pkg-ofed-devel@lists.alioth.debian.org>
Uploaders: Roland Fehrenbacher <rf@q-leap.de>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.13.19), uuid-dev
Standards-Version: 3.9.6
Homepage: https://www.openfabrics.org/downloads/infinipath-psm/
Vcs-Git: git://anonscm.debian.org/pkg-ofed/infinipath-psm.git -b debian/master
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ofed/infinipath-psm.git

Package: libpsm-infinipath1
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PSM Messaging library for Intel Truescale adapters
 The PSM Messaging API, or PSM API, is Intel's (formerly QLogic's) low-level,
 user-level communication interface for the Truescale family of products. PSM
 users can use mechanisms necessary to implement higher-level communication
 interfaces in parallel environments.
 .
 This package contains the shared libraries.

Package: libpsm-infinipath1-dev
Section: libdevel
Architecture: amd64 i386
Depends: ${misc:Depends}, libpsm-infinipath1 (= ${binary:Version})
Conflicts: libion-dev
Description: Development files for libpsm-infinipath1
 The PSM Messaging API, or PSM API, is Intel's (formerly QLogic's) low-level,
 user-level communication interface for the Truescale family of products. PSM
 users can use mechanisms necessary to implement higher-level communication
 interfaces in parallel environments.
 .
 This package is needed to compile programs against libpsm-infinipath1.
 It contains the header files and links needed for compiling.

Package: libpsm-infinipath1-dbg
Section: debug
Priority: extra
Architecture: amd64 i386
Depends: ${misc:Depends}, libpsm-infinipath1 (= ${binary:Version})
Description: Debugging symbols for libpsm-infinipath1
 The PSM Messaging API, or PSM API, is Intel's (formerly QLogic's) low-level,
 user-level communication interface for the Truescale family of products. PSM
 users can use mechanisms necessary to implement higher-level communication
 interfaces in parallel environments.
 .
 This package contains the debugging symbols associated with
 libpsm-infinipath1. They will automatically be used by gdb for debugging
 libpsm-infinipath1-related issues.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

MAKE_OPTIONS := INSTALL_PREFIX=/usr libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
  PSM_HAVE_SCIF=0 USE_PSM_UUID=0 arch=$(shell arch) 

%:
	dh $@ --parallel

override_dh_auto_build:
	$(MAKE) $(MAKE_OPTIONS)

override_dh_strip:
	dh_strip --dbg-package=libpsm-infinipath1-dbg

override_dh_auto_install:
	$(MAKE) install $(MAKE_OPTIONS) DESTDIR=$$PWD/debian/tmp

override_dh_auto_test:

override_dh_auto_clean:
	$(MAKE) $(MAKE_OPTIONS) distclean
	-rm -f include/linux-i386/linux-i386 include/linux-ppc/linux-ppc

## infinipath-psm 3.3+19.g67c0807.open

=== debian/changelog ===
infinipath-psm (3.3+19.g67c0807.open-3) unstable; urgency=medium

  * Fix FTBFS in i386. (Closes: #832625).

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 27 Jul 2016 23:48:47 +0200

infinipath-psm (3.3+19.g67c0807.open-2) unstable; urgency=medium

  * Improve architecture detection. (Closes: #807149)
  * Add myself to Uploaders.
  * Fix FTBFS with gcc 6.0. (Closes: #811940)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 27 Jul 2016 00:57:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: libs
 Priority: optional
 Maintainer: Debian OFED Infiniband packaging team <pkg-ofed-devel@lists.alioth.debian.org>
-Uploaders: Roland Fehrenbacher <rf@q-leap.de>
+Uploaders: Roland Fehrenbacher <rf@q-leap.de>, Ana Beatriz Guerrero Lopez <ana@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.13.19), uuid-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://www.openfabrics.org/downloads/infinipath-psm/
 Vcs-Git: git://anonscm.debian.org/pkg-ofed/infinipath-psm.git -b debian/master
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ofed/infinipath-psm.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-ofed/infinipath-psm.git
 
 Package: libpsm-infinipath1
 Architecture: amd64 i386

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,13 @@
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
 
+ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+ifeq ($(ARCH),amd64)
+  ARCH := x86_64
+endif
+
 MAKE_OPTIONS := INSTALL_PREFIX=/usr libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
-  PSM_HAVE_SCIF=0 USE_PSM_UUID=0 arch=$(shell arch) 
+  PSM_HAVE_SCIF=0 USE_PSM_UUID=0 arch=$(ARCH)
 
 %:
 	dh $@ --parallel

## infinipath-psm 3.3+20.604758e7

=== Makefile ===
# Copyright (c) 2013 Intel Corporation.  All rights reserved.
# Copyright (c) 2006-2011. QLogic Corporation. All rights reserved.
# Copyright (c) 2003-2006, PathScale, Inc. All rights reserved.
#
# This software is available to you under a choice of one of two
# licenses.  You may choose to be licensed under the terms of the GNU
# General Public License (GPL) Version 2, available from the file
# COPYING in the main directory of this source tree, or the
# OpenIB.org BSD license below:
#
#     Redistribution and use in source and binary forms, with or
#     without modification, are permitted provided that the following
#     conditions are met:
#
#      - Redistributions of source code must retain the above
#        copyright notice, this list of conditions and the following
#        disclaimer.
#
#      - Redistributions in binary form must reproduce the above
#        copyright notice, this list of conditions and the following
#        disclaimer in the documentation and/or other materials
#        provided with the distribution.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
# BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
# ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
# CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#

top_srcdir := $(shell pwd)
build_dir ?= $(top_srcdir)
include $(top_srcdir)/buildflags.mak
lib_build_dir := $(build_dir)
ifdef LOCAL_PREFIX
	INSTALL_PREFIX := $(LOCAL_PREFIX)
else
	INSTALL_PREFIX := /usr
endif
libdir ?= $(INSTALL_PREFIX)/lib64
sbindir ?= $(INSTALL_PREFIX)/sbin

INSTALL_LIB_TARG = $(libdir)
INSTALL_SBIN_TARG = $(sbindir)
RPM_BUILD_DIR=${top_srcdir}/rpmbuild
TARG_DIR ?= $(top_srcdir)
TMI_DIR := $(top_srcdir)/contrib/$(TMI_NAME)

TMI_NAME := tmi-2009-11-20
TARGLIB := libpsm_infinipath

SUBDIRS:= ptl_self ptl_ips ptl_am libuuid ipath

LDLIBS := -linfinipath $(SCIF_LINK_FLAGS) -lrt -lpthread -ldl ${EXTRA_LIBS}

# Library version information
PSM_VERNO_MAJOR := $(shell sed -n 's/^\#define.*PSM_VERNO_MAJOR.*0x0\?\([1-9a-f]\?[0-9a-f]\+\).*/\1/p' $(build_dir)/psm.h)
PSM_VERNO_MINOR := $(shell sed -n 's/^\#define.*PSM_VERNO_MINOR.*0x\([0-9]\?[0-9a-f]\+\).*/\1/p' $(build_dir)/psm.h)
PSM_LIB_MAJOR   := $(shell printf "%d" ${PSM_VERNO_MAJOR})
PSM_LIB_MINOR   := $(shell printf "%d" `sed -n 's/^\#define.*PSM_VERNO_MINOR.*\(0x[0-9a-f]\+\).*/\1/p' $(build_dir)/psm.h`)
IPATH_LIB_MAJOR := 4
IPATH_LIB_MINOR := 0
MAJOR := $(PSM_LIB_MAJOR)
MINOR := $(PSM_LIB_MINOR)

# The desired version number comes from the most recent tag starting with "v"
VERSION := $(shell if [ -d .git ] ; then  git  describe --tags --abbrev=0 --match='v*' | sed -e 's/^v//' -e 's/-/_/'; else echo "version" ; fi)

# The desired release number comes the git describe following the version which
# is the number of commits since the version tag was planted suffixed by the g<commitid>
RELEASE := $(shell if [ -d .git ] ; then git describe --tags --long --match='v*' | sed -e 's/v[0-9.]*-\(.*\)/\1_open/' -e 's/-/_/'; else echo "release" ; fi)

VERSION_RELEASE := $(VERSION)-$(RELEASE)

# Try to figure out which libuuid to use. This needs to be
# done before we include buildflags.mak
PSM_USE_SYS_UUID=0
ifneq (1,${USE_PSM_UUID})
    # Check whether the uuid header file is present. The header file is
    # installed by the -devel package, which should have a dependency
    # on the package which installs the library.
    PSM_HAVE_UUID_H=$(shell if [ -f /usr/include/uuid/uuid.h ]; then echo 1; else echo 0; fi)
    ifeq (1,${PSM_HAVE_UUID_H})
       SYS_UUID_RPM_NAME=$(shell rpm -qf --qf "%{NAME} = %{VERSION}-%{RELEASE}" /usr/include/uuid/uuid.h)
       PSM_USE_SYS_UUID=1
    endif
endif

# Build the daemon only if SCIF headers are found and we are building for the host
SUBDIRS += $(and $(MIC:1=),$(PSM_HAVE_SCIF:0=),psmd)

ifneq (x86_64,$(arch))
   ifneq (i386,$(arch))
      $(error Unsupported architecture $(arch))
   endif
endif

export top_srcdir build_srcdir TMI_NAME TMI_DIR PSM_VERNO_MAJOR PSM_LIB_MAJOR \
	PSM_VERNO_MINOR PSM_LIB_MINOR IPATH_LIB_MAJOR IPATH_LIB_MINOR PSM_USE_SYS_UUID \
	DESTDIR INSTALL_SBIN_TARG INSTALL_LIB_TARG PSM_HAVE_SCIF

${TARGLIB}-objs := ptl_am/am_reqrep_shmem.o	\
		   ptl_am/am_reqrep.o		\
		   ptl_am/ptl.o			\
		   ptl_am/kcopyrwu.o		\
		   ptl_am/knemrwu.o		\
		   ptl_am/scifrwu.o		\
		   psm_context.o		\
		   psm_ep.o			\
		   psm_ep_connect.o		\
		   psm_error.o			\
		   psm_utils.o			\
		   psm_timer.o			\
		   psm_am.o			\
		   psm_mq.o			\
		   psm_mq_utils.o		\
		   psm_mq_recv.o		\
		   psm_mpool.o			\
		   psm_stats.o			\
		   psm_memcpy.o			\
		   psm.o			\
		   libuuid/psm_uuid.o		\
		   ptl_ips/ptl.o		\
		   ptl_ips/ptl_rcvthread.o	\
		   ptl_ips/ipserror.o		\
		   ptl_ips/ips_scb.o		\
		   ptl_ips/ips_epstate.o	\
		   ptl_ips/ips_recvq.o		\
		   ptl_ips/ips_recvhdrq.o	\
		   ptl_ips/ips_spio.o		\
		   ptl_ips/ips_proto.o		\
		   ptl_ips/ips_proto_recv.o	\
		   ptl_ips/ips_proto_connect.o  \
		   ptl_ips/ips_proto_expected.o \
		   ptl_ips/ips_tid.o		\
		   ptl_ips/ips_crc32.o 		\
		   ptl_ips/ips_tidflow.o        \
		   ptl_ips/ips_proto_dump.o	\
		   ptl_ips/ips_proto_mq.o       \
		   ptl_ips/ips_proto_am.o       \
		   ptl_ips/ips_subcontext.o	\
		   ptl_ips/ips_path_rec.o       \
		   ptl_ips/ips_opp_path_rec.o   \
		   ptl_ips/ips_writehdrq.o	\
		   ptl_self/ptl.o		\
		   psm_diags.o

all: libs

libs: symlinks
	for subdir in $(SUBDIRS); do \
		$(MAKE) -C $$subdir ;\
	done
	$(MAKE) ${TARGLIB}.so

clean:
	rm -f _revision.c
	for subdir in $(SUBDIRS); do \
		$(MAKE) -C $$subdir $@ ;\
	done
	rm -f *.o ${TARGLIB}.*

distclean: cleanlinks clean
	rm -f *.spec *.srclist
	rm -f *.tar.gz

.PHONY: symlinks
symlinks:
	@[[ -L $(build_dir)/include/linux-ppc64 ]] || \
		ln -sf linux-ppc $(build_dir)/include/linux-ppc64
	@[[ -L $(build_dir)/include/linux-x86_64 ]] || \
		ln -sf linux-i386 $(build_dir)/include/linux-x86_64

cleanlinks:
	rm -f $(build_dir)/include/linux-ppc64
	rm -f $(build_dir)/include/linux-x86_64

install: all
	for subdir in $(SUBDIRS); do \
		$(MAKE) -i -C $$subdir $@ ;\
	done
	install -D ${TARGLIB}.so.${MAJOR}.${MINOR} \
		$(DESTDIR)${INSTALL_LIB_TARG}/${TARGLIB}.so.${MAJOR}.${MINOR}
	(cd $(DESTDIR)${INSTALL_LIB_TARG} ; \
		ln -sf ${TARGLIB}.so.${MAJOR}.${MINOR} ${TARGLIB}.so.${MAJOR} ; \
		ln -sf ${TARGLIB}.so.${MAJOR} ${TARGLIB}.so) ; \
	if [ X$(MIC) != X1 ]; then \
		install -D psm.h ${DESTDIR}/usr/include/psm.h ; \
		install -D psm_mq.h ${DESTDIR}/usr/include/psm_mq.h ; \
	else \
		filelist=/opt/intel/mic/psm/psm.filelist ; \
		sed -e 's!%IPATHMAJOR%!$(IPATH_LIB_MAJOR)!g' \
			-e 's!%IPATHMINOR%!$(IPATH_LIB_MINOR)!g' \
			-e 's!%PSMMAJOR%!$(MAJOR)!g' \
			-e 's!%PSMMINOR%!$(MINOR)!g' \
		mic$$filelist.in > mic$$filelist ; \
		install -D mic/$$filelist ${DESTDIR}$$filelist ; \
		rm -f mic$$filelist ; \
	fi

tmi: libs
	$(MAKE) -C contrib/$(TMI_NAME) verbs=PSM
tmiclean:
	$(MAKE) -C contrib/$(TMI_NAME) verbs=PSM clean


.PHONY: infinipath-psm.spec 
infinipath-psm.spec: infinipath-psm.spec.in
	sed -e 's/@VERSION@/'${VERSION}'/g' -e 's/@RELEASE@/'${RELEASE}'/g' $< > $@
	if [ X$(MIC) != X1 ]; then \
		if [ X$(PSM_USE_SYS_UUID) = X1 ]; then \
			REQUIRES="Requires: $(shell echo $(SYS_UUID_RPM_NAME) | sed -e 's/-devel//')" ; \
			REQUIRESDEVEL="Requires: $(SYS_UUID_RPM_NAME)" ; \
		fi ; \
		[ -n "$${REQUIRES}" ] && \
			sed -i -e 's%@REQUIRES@%'"$${REQUIRES}"'%g' -e 's/@PSM_UUID@//g' $@ || \
			sed -i -e '/@REQUIRES@/d' -e 's/@PSM_UUID@/USE_PSM_UUID=1/g' $@ ; \
		[ -n "$${REQUIRESDEVEL}" ] && \
			sed -i -e 's%@REQUIRES-DEVEL@%'"$$REQUIRESDEVEL"'%g' $@ || \
			sed -i -e '/@REQUIRES-DEVEL@/d' $@ ; \
	else \
		sed -i -e '/@REQUIRES@/d' \
				-e '/@REQUIRES-DEVEL@/d' \
				-e 's/@PSM_UUID@/USE_PSM_UUID=1/g' $@ ; \
	fi
dist: distclean infinipath-psm.spec
	rm -rf $(RPM_BUILD_DIR)
	mkdir -p infinipath-psm-${VERSION_RELEASE}
	for x in $$(/usr/bin/find . -name ".git" -prune -o \
			-name "cscope*" -prune -o \
			-name "*.spec.in" -prune -o \
			-name "infinipath-psm-${VERSION_RELEASE}" -prune -o \
			-name "*.orig" -prune -o \
			-name "*~" -prune -o \
			-name "#*" -prune -o \
			-name "*.rpm" -prune -o \
			-name "build" -prune -o \
			-name ".gitignore" -prune -o \
			-print); do \
		dir=$$(dirname $$x); \
		mkdir -p infinipath-psm-${VERSION_RELEASE}/$$dir; \
		[ ! -d $$x ] && cp $$x infinipath-psm-${VERSION_RELEASE}/$$dir; \
	done ; \
	if [ -d .git ] ; then git log -n1 --pretty=format:%H > \
		infinipath-psm-${VERSION_RELEASE}/COMMIT ; fi
	tar czvf infinipath-psm-${VERSION_RELEASE}.tar.gz infinipath-psm-${VERSION_RELEASE}
	rm -rf infinipath-psm-${VERSION_RELEASE}

ofeddist:
	USE_PSM_UUID=1 $(MAKE) dist


# rebuild the cscope database, skipping sccs files, done once for
# top level
cscope:
	find * -type f ! -name '[ps].*' \( -iname '*.[cfhs]' -o \
	  -iname \\*.cc -o -name \\*.cpp -o -name \\*.f90 \) -print | cscope -bqu -i -

${TARGLIB}.so: ${TARGLIB}.so.${MAJOR}
	ln -fs ${TARGLIB}.so.${MAJOR}.${MINOR} $@

${TARGLIB}.so.${MAJOR}: ${TARGLIB}.so.${MAJOR}.${MINOR}
	ln -fs ${TARGLIB}.so.${MAJOR}.${MINOR} $@

# when we build the shared library, generate a revision and date
# string in it, for easier id'ing when people may have copied the
# file around.  Generate it such that the ident command can find it
# and strings -a | grep InfiniPath does a reasonable job as well.
${TARGLIB}.so.${MAJOR}.${MINOR}: ${${TARGLIB}-objs}
	date +'char psmi_infinipath_revision[] ="$$""Date: %F %R ${rpm_extra_description}InfiniPath $$";' > ${lib_build_dir}/_revision.c
	$(CC) -c $(BASECFLAGS) $(INCLUDES) _revision.c -o _revision.o
	$(CC) $(LDFLAGS) -o $@ -Wl,-soname=${TARGLIB}.so.${MAJOR} -shared -Wl,--unique='*fastpath*' \
		${${TARGLIB}-objs} _revision.o -L$(build_dir)/ipath $(LDLIBS)
	@leaks=`nm $@ | grep ' [DT] ' | \
	 grep -v -e ' [DT] \(_edata\|_fini\|_init\|infinipath_\|ips_\|psmi\|__psm_\|__psmi_\|_rest.pr\|_save.pr\|kcopy\|knem\|scif\)'`; \
	 if test -n "$$leaks"; then echo "Build failed, leaking symbols:"; echo "$$leaks"; exit 1; fi

%.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES) -c $< -o $@

.PHONY: $(SUBDIRS)

=== doc/Makefile ===
# Copyright (c) 2006-2012. QLogic Corporation. All rights reserved.
# Copyright (c) 2003-2006, PathScale, Inc. All rights reserved.
#
# This software is available to you under a choice of one of two
# licenses.  You may choose to be licensed under the terms of the GNU
# General Public License (GPL) Version 2, available from the file
# COPYING in the main directory of this source tree, or the
# OpenIB.org BSD license below:
#
#     Redistribution and use in source and binary forms, with or
#     without modification, are permitted provided that the following
#     conditions are met:
#
#      - Redistributions of source code must retain the above
#        copyright notice, this list of conditions and the following
#        disclaimer.
#
#      - Redistributions in binary form must reproduce the above
#        copyright notice, this list of conditions and the following
#        disclaimer in the documentation and/or other materials
#        provided with the distribution.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
# BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
# ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
# CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#

ifeq (,$(build_dir))
$(error build_dir must be set)
endif

top_srcdir := ..

=== libuuid/Makefile ===
# Copyright (c) 2006-2010. QLogic Corporation. All rights reserved.
# Copyright (c) 2003-2006, PathScale, Inc. All rights reserved.
#
# This software is available to you under a choice of one of two
# licenses.  You may choose to be licensed under the terms of the GNU
# General Public License (GPL) Version 2, available from the file
# COPYING in the main directory of this source tree, or the
# OpenIB.org BSD license below:
#
#     Redistribution and use in source and binary forms, with or
#     without modification, are permitted provided that the following
#     conditions are met:
#
#      - Redistributions of source code must retain the above
#        copyright notice, this list of conditions and the following
#        disclaimer.
#
#      - Redistributions in binary form must reproduce the above
#        copyright notice, this list of conditions and the following
#        disclaimer in the documentation and/or other materials
#        provided with the distribution.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
# BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
# ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
# CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#

include $(top_srcdir)/buildflags.mak
CFLAGS += -DPSM_UUID=1 -Wno-unused-function
INCLUDES += -I$(top_srcdir) -I$(top_srcidr)/libuuid

${TARGLIB}-objs := psm_uuid.o

all: ${${TARGLIB}-objs}

%.o: %.c 
	$(CC) $(CFLAGS) $(INCLUDES) -c $< -o $@

clean:
	rm -f *.o

=== psmd/Makefile ===
#
#
#  This file is provided under a dual BSD/GPLv2 license.  When using or
#  redistributing this file, you may do so under either license.
#
#  GPL LICENSE SUMMARY
#
#  Copyright(c) 2012, 2017. Intel Corporation.
#  Copyright(c) 2005, 2006. QLogic Corporation.
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of version 2 of the GNU General Public License as
#  published by the Free Software Foundation.
#
#  This program is distributed in the hope that it will be useful, but
#  WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  General Public License for more details.
#
#  Contact Information:
#  Intel Corporation, www.intel.com 
#
#  BSD LICENSE
#
#  Copyright(c) 2012, 2017. Intel Corporation.
#  Copyright(c) 2005, 2006. QLogic Corporation.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#   * Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#   * Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in
#     the documentation and/or other materials provided with the
#     distribution.
#   * Neither the name of Intel Corporation nor the names of its
#     contributors may be used to endorse or promote products derived
#     from this software without specific prior written permission.
#
#   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
#   "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
#   LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
#   A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
#   OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#   SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
#   LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#   DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#   THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#   (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#   OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
#

include $(top_srcdir)/buildflags.mak
CFLAGS += -Wall -Werror -D_IPATH_DEBUGGING=0
LDFLAGS += $(SCIF_LINK_FLAGS)
INCLUDES += -I$(top_srcdir)/include -I$(top_srcdir)/include/linux-x86_64 $(SCIF_INCLUDE_FLAGS)
TARGETS = psmd

all: ${TARGETS}

${TARGETS}-objs := psmd.o ipath_service.o ipath_sysfs.o

${TARGETS}: ${$(TARGETS)-objs}
	$(CC) -o $@ $(CFLAGS) $^ $(LDFLAGS)

psmd.o: psmd.c
	$(CC) $(CFLAGS) $(INCLUDES) -c $< -o $@

ipath_service.o: $(top_srcdir)/ipath/ipath_service.c
	$(CC) $(CFLAGS) $(INCLUDES) -c $< -o $@

ipath_sysfs.o: $(top_srcdir)/ipath/ipath_sysfs.c
	$(CC) $(CFLAGS) $(INCLUDES) -c $< -o $@

install:
	install -D psmd ${DESTDIR}${INSTALL_SBIN_TARG}/psmd
clean:
	rm -f *.o $(TARGETS)

=== ptl_am/Makefile ===
# Copyright (c) 2006-2010. QLogic Corporation. All rights reserved.
# Copyright (c) 2003-2006, PathScale, Inc. All rights reserved.
#
# This software is available to you under a choice of one of two
# licenses.  You may choose to be licensed under the terms of the GNU
# General Public License (GPL) Version 2, available from the file
# COPYING in the main directory of this source tree, or the
# OpenIB.org BSD license below:
#
#     Redistribution and use in source and binary forms, with or
#     without modification, are permitted provided that the following
#     conditions are met:
#
#      - Redistributions of source code must retain the above
#        copyright notice, this list of conditions and the following
#        disclaimer.
#
#      - Redistributions in binary form must reproduce the above
#        copyright notice, this list of conditions and the following
#        disclaimer in the documentation and/or other materials
#        provided with the distribution.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
# BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
# ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
# CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#

include $(top_srcdir)/buildflags.mak
INCLUDES += -I$(top_srcdir)

${TARGLIB}-objs := am_reqrep.o am_reqrep_shmem.o ptl.o kcopyrwu.o knemrwu.o scifrwu.o

all: ${${TARGLIB}-objs}

%.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES) $(if $(PSM_HAVE_SCIF:0=),$(SCIF_INCLUDE_FLAGS)) -c $< -o $@

clean:
	rm -f *.o

=== ptl_ips/Makefile ===
# Copyright (c) 2006-2010. QLogic Corporation. All rights reserved.
# Copyright (c) 2003-2006, PathScale, Inc. All rights reserved.
#
# This software is available to you under a choice of one of two
# licenses.  You may choose to be licensed under the terms of the GNU
# General Public License (GPL) Version 2, available from the file
# COPYING in the main directory of this source tree, or the
# OpenIB.org BSD license below:
#
#     Redistribution and use in source and binary forms, with or
#     without modification, are permitted provided that the following
#     conditions are met:
#
#      - Redistributions of source code must retain the above
#        copyright notice, this list of conditions and the following
#        disclaimer.
#
#      - Redistributions in binary form must reproduce the above
#        copyright notice, this list of conditions and the following
#        disclaimer in the documentation and/or other materials
#        provided with the distribution.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
# BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
# ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
# CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#

include $(top_srcdir)/buildflags.mak
INCLUDES += -I$(top_srcdir) -I$(top_srcidr)/ptl_ips

${TARGLIB}-objs := ptl.o ptl_rcvthread.o ips_proto.o ipserror.o ips_recvq.o \
		   ips_recvhdrq.o ips_spio.o ips_proto_recv.o ips_proto_connect.o \
		   ips_proto_dump.o ips_proto_mq.o ips_subcontext.o \
		   ips_writehdrq.o ips_proto_expected.o ips_tid.o

# enable mov,0 -> xor optimization for ips
ifeq (${CCARCH},pathcc)
  ifeq (,${PSM_DEBUG})
    CFLAGS += -CG:use_xortozero=1
  endif
endif

all: ${${TARGLIB}-objs}

%.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES) -c $< -o $@

clean:
	rm -f *.o

=== ptl_self/Makefile ===
# Copyright (c) 2006-2010. QLogic Corporation. All rights reserved.
# Copyright (c) 2003-2006, PathScale, Inc. All rights reserved.
#
# This software is available to you under a choice of one of two
# licenses.  You may choose to be licensed under the terms of the GNU
# General Public License (GPL) Version 2, available from the file
# COPYING in the main directory of this source tree, or the
# OpenIB.org BSD license below:
#
#     Redistribution and use in source and binary forms, with or
#     without modification, are permitted provided that the following
#     conditions are met:
#
#      - Redistributions of source code must retain the above
#        copyright notice, this list of conditions and the following
#        disclaimer.
#
#      - Redistributions in binary form must reproduce the above
#        copyright notice, this list of conditions and the following
#        disclaimer in the documentation and/or other materials
#        provided with the distribution.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
# BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
# ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
# CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#

include $(top_srcdir)/buildflags.mak
INCLUDES += -I$(top_srcdir)

${TARGLIB}-objs := ptl.o

all: ${${TARGLIB}-objs}

%.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES) -c $< -o $@

clean:
	rm -f *.o

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

export DEB_CFLAGS_MAINT_APPEND = -fcommon

ifeq ($(DEB_HOST_ARCH),amd64)
  ARCH := x86_64
else
  ARCH := $(DEB_HOST_ARCH)
endif

PSM_LIB_MAJOR := $(shell printf "%d" `sed -n 's/^\#define.*PSM_VERNO_MAJOR.*0x0\?\([1-9a-f]\?[0-9a-f]\+\).*/\1/p' $(CURDIR)/psm.h`)
PSM_LIB_MINOR := $(shell printf "%d" `sed -n 's/^\#define.*PSM_VERNO_MINOR.*\(0x[0-9a-f]\+\).*/\1/p' $(CURDIR)/psm.h`)
PSM_LIB_VERSION := ${PSM_LIB_MAJOR}.${PSM_LIB_MINOR}


MAKE_OPTIONS := INSTALL_PREFIX=/usr libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
  PSM_HAVE_SCIF=0 USE_PSM_UUID=0 arch=$(ARCH)

%:
	dh $@ --parallel

debian/%.postinst: debian/%.postinst.in
	sed 	-e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' 	\
		-e 's/@PSM_LIB_VERSION@/${PSM_LIB_VERSION}/g'		\
		-e 's/@PSM_LIB_MAJOR@/${PSM_LIB_MAJOR}/g'		\
		$< > $@

debian/%.prerm: debian/%.prerm.in
	sed	-e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g'	\
		-e 's/@PSM_LIB_VERSION@/${PSM_LIB_VERSION}/g'		\
		-e 's/@PSM_LIB_MAJOR@/${PSM_LIB_MAJOR}/g'		\
		$< > $@

debian/%.postrm: debian/%.postrm.in
	sed	-e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g'	\
		-e 's/@PSM_LIB_VERSION@/${PSM_LIB_VERSION}/g'		\
		-e 's/@PSM_LIB_MAJOR@/${PSM_LIB_MAJOR}/g'		\
		$< > $@

override_dh_auto_build: debian/libpsm-infinipath1.postinst debian/libpsm-infinipath1.prerm debian/libpsm-infinipath1.postrm
	$(MAKE) $(MAKE_OPTIONS)

override_dh_strip:
	dh_strip --dbg-package=libpsm-infinipath1-dbg

override_dh_auto_install:
	$(MAKE) install $(MAKE_OPTIONS) DESTDIR=$$PWD/debian/tmp
	mkdir debian/tmp/usr/lib/libpsm1/
	mv debian/tmp/usr/lib/*/libpsm_infinipath.so.${PSM_LIB_VERSION}  debian/tmp/usr/lib/libpsm1/

override_dh_auto_test:

override_dh_auto_clean:
	$(MAKE) $(MAKE_OPTIONS) distclean
	-rm -f include/linux-i386/linux-i386 include/linux-ppc/linux-ppc
	-[ ! -f debian/libpsm-infinipath1.postinst ] || rm debian/libpsm-infinipath1.postinst
	-[ ! -f debian/libpsm-infinipath1.prerm ] || rm debian/libpsm-infinipath1.prerm

=== debian/watch ===
version=3

https://www.openfabrics.org/downloads/infinipath-psm/infinipath-psm-(.*)\.(?:tar.gz|tar.bz2|tar.xz)
